[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPHashObjectList.Delete

Delete an object from the list.

## Declaration

Source position: contnrs.pp line 306

`public procedure TFPHashObjectList.Delete(`
`Index: Integer`
`);`

## Arguments

`Index` |  | Index of object to remove from the list

## Description

Delete deletes the object at position Index. If OwnsObjects is True, then the object itself is also freed from memory.

## See also

TFPHashObjectList.Extract |  | Extract a object instance from the list
TFPHashObjectList.Remove |  | Remove first occurrence of a object instance
TFPHashObjectList.Add |  | Add a new key/data pair to the list
OwnsObjects |  | Does the list own the objects it contains

The latest version of this document can be found at lazarus-ccr.sourceforge.net .